LibreOffice: XFunction Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
XFunction Interface Reference

specifies a format condition for a control. More...

Inheritance diagram for XFunction:

## Exported Interfaces
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...
interface | com::sun::star::lang::XComponent
| allows life-time control of function instances. More...
interface | com::sun::star::container::XChild
| allows the navigation to the functions object. More...

## Public Attributes
boolean | PreEvaluated
| specifies if the function should be evaluated before the report element will be executed. More...
boolean | DeepTraversing
| specifies if sub reports should be traversed as well. More...
string | Name
| defines the name of the function More...
string | Formula
| defines the formula of this function More...
com::sun::star::beans::Optional< string > | InitialFormula
| defines the formula for the initial value More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...

## Detailed Description

specifies a format condition for a control.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties.

## ◆ com::sun::star::container::XChild

interface com::sun::star::container::XChild

allows the navigation to the functions object.

The method setParent from XChild is not supported and will throw an exception when called.

## ◆ com::sun::star::lang::XComponent

interface com::sun::star::lang::XComponent

allows life-time control of function instances.

## Member Data Documentation

## ◆ DeepTraversing

boolean DeepTraversing
| attributebound

specifies if sub reports should be traversed as well.

## ◆ Formula

string Formula
| attributebound

defines the formula of this function

## ◆ InitialFormula

com::sun::star::beans::Optional<string> InitialFormula
| attributebound

defines the formula for the initial value

## ◆ Name

string Name
| attributebound

defines the name of the function

## ◆ PreEvaluated

boolean PreEvaluated
| attributebound

specifies if the function should be evaluated before the report element will be executed.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XFunction.idl